| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Lib.XmlData Class Reference

XmlDocument extended by additional functionality for managing complex data units. In applications, this is used for More...

Inheritance diagram for IG.Lib.XmlData:
[legend]
Collaboration diagram for IG.Lib.XmlData:
[legend]

## Public Member Functions
XmlNode | GetRootNode ()
| Returns the root node of the document. More...
XmlNodeList | GetNodes (string xpath)
| Returns a list of all _gridCoordinates in the current document that satisfy the specified XPath expression. More...
XmlNode | GetNode (string xpath)
| Returns the first node in the current document that satisfy the specified XPath expression. More...
XmlElement[] | GetElements (string xpath)
| Returns an array of all element _gridCoordinates in the current XML document that satisfiy the specified XPath expression. More...
XmlElement | GetElement (string xpath)
| Returns the first ELEMENT node in the current XML document that satisfies the specified XPath expression. More...
XmlNode | GetTextNode (string xpath)
| Returns the (first) text node of the first element node in the current document that satisfies the specified XPath expression. More...
string | GetValue (string xpath)
| Returns value of the (first) text node of the first element node in current document that satisfies the specified XPath expression. More...

## Detailed Description

XmlDocument extended by additional functionality for managing complex data units. In applications, this is used for

## Member Function Documentation

XmlNode IG.Lib.XmlData.GetRootNode | ( |  | ) |
| inline

Returns the root node of the document.

Returns
  The root node of the document.

XmlNodeList IG.Lib.XmlData.GetNodes | ( | string | xpath | ) |
| inline

Returns a list of all _gridCoordinates in the current document that satisfy the specified XPath expression.

Parameters

  xpath | The XPath expression used for selection of _gridCoordinates.

Returns
  List of all _gridCoordinates that satisfy the XPath expression.

References IG.Lib.Xml.GetNodes().

XmlNode IG.Lib.XmlData.GetNode | ( | string | xpath | ) |
| inline

Returns the first node in the current document that satisfy the specified XPath expression.

Parameters

  xpath | The XPath expression used for selection of the node.

Returns
  The first node in the sub-tree that satisfies the XPath expression.

References IG.Lib.Xml.GetNode().

XmlElement [] IG.Lib.XmlData.GetElements | ( | string | xpath | ) |
| inline

Returns an array of all element _gridCoordinates in the current XML document that satisfiy the specified XPath expression.

Parameters

  xpath | The XPath expression used for selection of the node.

Returns
  The first node that satisfies the XPath expression.

References IG.Lib.Xml.GetElements().

XmlElement IG.Lib.XmlData.GetElement | ( | string | xpath | ) |
| inline

Returns the first ELEMENT node in the current XML document that satisfies the specified XPath expression.

Parameters

  basenode | Root node of the XML sub-tree in which _gridCoordinates are searched for.
  xpath | The XPath expression used for selection of the node.

Returns
  The first node that satisfies the XPath expression.

References IG.Lib.Xml.GetElement().

XmlNode IG.Lib.XmlData.GetTextNode | ( | string | xpath | ) |
| inline

Returns the (first) text node of the first element node in the current document that satisfies the specified XPath expression.

Parameters

  basenode | Root node of the XML sub-tree in which _gridCoordinates are searched for.
  xpath | The XPath expression used for selection of the node.

Returns
  The first node that satisfies the XPath expression.

References IG.Lib.Xml.GetTextNode().

string IG.Lib.XmlData.GetValue | ( | string | xpath | ) |
| inline

Returns value of the (first) text node of the first element node in current document that satisfies the specified XPath expression.

Parameters

  basenode | Root node of the XML sub-tree in which _gridCoordinates are searched for.
  xpath | The XPath expression used for selection of the node.

Returns
  The first node that satisfies the XPath expression.

References IG.Lib.Xml.GetValue().

The documentation for this class was generated from the following file:

- igbase/0unsorted/XmlUtilities.cs